Name:           kytea
Version:        0.4.7
Release:        %mkrel 1
Summary:        Toolkit for analyzing texts in Japanese, Chinese, and other languages
Source0:        http://www.phontron.com/kytea/download/%{name}-%{version}.tar.gz
URL:            http://www.phontron.com/kytea/

Group:          Text tools
License:        ASL 2.0
BuildRequires:  libstdc++-devel

%description
General toolkit for analyzing text, with a focus on Japanese, Chinese
and other languages requiring word or morpheme segmentation.

KyTea is able to perform the following types of processing:
- Word Segmentation: it can separate an unsegmented text stream into
appropriate units (words or morphemes).
- Tagging: it can estimate the tags for words such as POS (part of
speech) tags.
- Pronounciation: it has the ability to estimate the pronunciation
of unknown words.

While KyTea comes with a default model, if you have your own annotated
text, it provides a tool to train your own model.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

%files
%{_bindir}/kytea
%{_bindir}/train-kytea
%{_libdir}/libkytea.so*
%{_datadir}/kytea/model.bin

%exclude %{_libdir}/pkgconfig/*
%exclude %{_includedir}/kytea
%exclude %{_libdir}/*.la
%exclude %{_bindir}/api-example


%changelog
* Sat Oct 24 2020 akien <akien> 0.4.7-1.mga8
+ Revision: 1639126
- Version 0.4.7

* Thu Feb 13 2020 umeabot <umeabot> 0.4.2-9.mga8
+ Revision: 1513841
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-8.mga7
+ Revision: 1298702
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 0.4.2-7.mga7
+ Revision: 1235463
- fix build on aarch64

* Sat Feb 06 2016 umeabot <umeabot> 0.4.2-6.mga6
+ Revision: 940970
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-5.mga5
+ Revision: 747946
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-4.mga5
+ Revision: 681260
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.2-3.mga4
+ Revision: 506764
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 356631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 shlomif <shlomif> 0.4.2-1.mga3
+ Revision: 298804
- Import from Jehan_ZeMarmot

